# Manual de usuario de &kde;

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
2009-09-10
2.13 (&kde; 4.3.1)
Entorno de escritorio K
ark
1

# `ark`

Herramienta de compresión de &kde;

    ark -b -a -e -c -f  sufijo -p -t  archivo -d -o  directorio Opciones genéricas de &kde; Opciones genéricas de &Qt;

## Descripción

&ark; es un programa de &kde; para manejar varios formatos de archivos comprimidos. Los archivos comprimidos se pueden visualizar, extraer, crear y modificar con &ark;. El programa puede manejar diversos formatos, como tar, gzip, bzip2, zip, y rar (siempre que estén instalados los programas o bibliotecas correspondientes).

## Modos de operación

&ark; se puede usar como un programa gráfico independiente o como un programa de la línea de órdenes para realizar algunas tareas específicas.

Si se llama sin las opciones -b (--batch) ni -c (-add), &ark; se inicia como un programa gráfico normal.

Cuando se usa la opción -b (--batch), &ark; se puede utilizar para extraer el contenido de uno o más archivos directamente desde la línea de órdenes, sin lanzar su interfaz gráfica.

Cuando se usa la opción -c (-add), &ark; solicita los archivos que se van a añadir a un archivo comprimido nuevo o ya existente.

## Opciones

`-d, --dialog`

  Muestra un diálogo para especificar las opciones de una operación por lotes o de añadir archivos.

`-o, --destination directorio`

  Especifica el directorio de extracción por omisión. Si no se indica se usará la ruta actual.

### Opciones para añadir archivos

`-c, --add`

  Solicita al usuario el un nombre de archivo comprimido al que añadir los archivos especificados. Sale cuando finaliza.

`-t, --add-to archivo`

  Añade los archivos especificados al archivo indicado. Crea el archivo comprimido si no existe. Sale cuando finaliza.

`-p, --changetofirstpath`

  Cambia el directorio actual a la primera entrada y añade el resto de entradas relativas a ésta.

`-f, --autofilename sufijo`

  Escoge un nombre de archivo automáticamente usando el sufijo proporcionado (por ejemplo, rar, tar.gz, zip o cualquier tipo permitido).

### Opciones para la extracción por lotes

`b, --batch`

  Usar la interfaz por lotes en lugar del diálogo normal. Esta opción se da por supuesta si se especifica más de un URL.

`-e, --autodestination`

  El argumento de destino se fijará a la ruta del primer archivo suministrado.

`-a, --autosubfolder`

  Se leerá el contenido del archivo comprimido y, si se detecta que no se trata de un archivo de una única carpeta, se creará una subcarpeta con el nombre del archivo comprimido.

## Ejemplos

``ark` `--batch` archivo.tar.bz2`

  Extraerá archivo.tar.bz2 en el directorio actual sin mostrar ninguna interfaz gráfica.

``ark` `-b` `-d` archivo.tar.bz2 archivo2.zip`

  Mostrará primero un diálogo con opciones de extracción y luego extraerá archivo.tar.bz2 y archivo2.zip en el directorio escogido en el diálogo.

``ark` `--add-to` mi-archivo.zip foto1.jpg texto.txt`

  Creará mi-archivo.zip si no existe y luego se le añadirán foto1.jpg y texto.txt.

## Autores

Los encargados actuales de &ark; son &Harald.Hvaal; &Harald.Hvaal.mail; y &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Esta página de manual fue escrita por &Lauri.Watts; &Lauri.Watts.mail; en 2005 para &kde; 3.4, y fue modificada posteriormente en 2009 por &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.